{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "a6a07ede-5c1d-47ef-91b6-84132185c4c6",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-542ff1287c8952be",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Gruppenprojekt Medienwissenschaften - Analysing Facebook posts\n",
    "\n",
    "<div style=\"display:flex;\">\n",
    "    <div style=\"text-align: left\">\n",
    "        Willkommen zum Gruppenprojekt Medienwissenschaften - Programmierübung Einführung in Python 3.\n",
    "    </div>\n",
    "    <img style=\"float: right; margin: 0px 15px 15px 0px\" src=\"https://www.python.org/static/img/python-logo-large.c36dccadd999.png?1576869008\" width=\"100\" />\n",
    "</div>\n",
    "\n",
    "Wenn Sie Fragen oder Verbesserungsvorschläge zum Inhalt oder Struktur der Notebooks haben, dann können sie eine E-Mail an Phil Keier ([p.keier@hbk-bs.de](mailto:p.keier@hbk-bs.de?subject=[SigSys]%20Feedback%20Programmierübung&amp)) oder Martin Le ([martin.le@tu-bs.de](mailto:martin.le@tu-bs.de?subject=[SigSys]%20Feedback%20Programmierübung&amp)) schreiben.\n",
    "\n",
    "Link zu einem Python Spickzettel: [hier](https://s3.amazonaws.com/assets.datacamp.com/blog_assets/PythonForDataScience.pdf)\n",
    "\n",
    "---"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "8b43eadd-f8a2-44fa-bb87-1f0c6ecc32b2",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-8720e3247ef22c76",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "Social media plays an important role in people’s everyday life. The social media data has\n",
    "many uses, both in the business and social realm. Analysis of social media data would\n",
    "help us understand the crowd psychology and improve our business models.\n",
    "We are given a piece of data on Facebook’s popular posts. Please use Pandas to read the\n",
    "data set and perform the following analysis on the given data.\n",
    "\n",
    "Enclosed with this Notebook is the Dataset `facebook.csv`. Your task is to prove or disprove the following hypotheses.\n",
    "\n",
    "---"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "d165fa22-796e-4308-a161-337357c54afa",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-80253b841c02fdf7",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "## Describe the Dataset\n",
    "\n",
    "Ask yourself the following questions:\n",
    "- What does the data tell us?\n",
    "- Which results can / cannot be drawn from the data?\n",
    "- Are the data normally distributed?"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "id": "0e941e01-268d-40c3-82dc-7c02ea9bbfd4",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-99ced721b2ea16c9",
     "locked": false,
     "points": 0,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "b5f2b0ff-e341-49d6-9928-d9448648e681",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-1517dd4c342678e7",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "## H1: Paid posts = more interaction\n",
    "\n",
    "Paid contributions are more likely to be seen by many people. Among other things, more users interact with these posts. "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "4a697468-fab6-499a-98a2-68dc5af7e516",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-012b424d9de10c12",
     "locked": false,
     "points": 0,
     "schema_version": 3,
     "solution": true,
     "task": false
    },
    "tags": []
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "b1b58071-43bd-42f0-9277-02de66cc5578",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-9435c91c1af32ca3",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "## H2: Paid Videos\n",
    "\n",
    "Videos are paid for more often and are shared more often. So it shows that advertising pays off. "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "id": "07d46bf8-5c69-40c9-8ea7-edbfe514f190",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-3773d1ccd92283e4",
     "locked": false,
     "points": 0,
     "schema_version": 3,
     "solution": true,
     "task": false
    },
    "tags": []
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "a75a232c-ae0b-4d26-af16-ffcd06bbe40f",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-5a54cabd55a2dfa0",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "## H3: Top 2%\n",
    "\n",
    "The top 2% of all posts were published in the afternoon on a Thursday. However, users interact with posts most frequently in the evening."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "65311930-e7f5-4b9f-b30a-cd1769721b70",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-23e55e763d064166",
     "locked": false,
     "points": 0,
     "schema_version": 3,
     "solution": true,
     "task": false
    },
    "tags": []
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "c480d5b4-8dcc-46ed-9318-6b479ee7d4f5",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-08fb67d9e3a7d1d4",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "## Simulate Posts\n",
    "\n",
    "Use the available data to apply an accurate simulation. Describe which properties a post must have in order to maximize its likes."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "id": "cb9eee29-943d-40fa-9551-d8749a906509",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-dd4796a05a4a5cdf",
     "locked": false,
     "schema_version": 3,
     "solution": true,
     "task": false
    },
    "tags": []
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
